## cryptsetup 2.7.2

=== debian/changelog ===
cryptsetup (2:2.7.2-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow blowfish test use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test
    - initramfs hook: Combine calls to manual_add_modules (LP #2065180)
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 15 Jul 2024 09:39:31 +0100

cryptsetup (2:2.7.2-2) unstable; urgency=medium

  * Update standards version to 4.7.0, no changes needed.
  * d/crontrol: cryptsetup-initramfs: Add Breaks: libcryptsetup12 (<<
    2:2.7.2-1) since the hook assumes libcryptsetup.so.12 is not linked with
    libargon2.so. (Closes: #1068849)
  * d/t/utils/mkinitramfs: Remove obsolete copy_libgcc() call.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 15 Apr 2024 00:51:12 +0200

cryptsetup (2:2.7.2-1) unstable; urgency=medium

  * New bugfix upstream release.
    + Fix various issues with OPAL devices.
  * Use OpenSSL's own argon2 implementation rather than libargon2.  This drops
    libargon2 from (Build-)Depends and bumps the minimum required OpenSSL
    version to 3.2.
  * d/control: cryptsetup Depends: Bump minimum cryptsetup-bin version to
    2:2.7.2-1 as the wrapper no longer contain workarounds for libargon2 and
    libgcc_s.
  * d/copyright: Update licensing information to reflect upstream's
    relicensing of its FAQ and an older miscellaneous script.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Apr 2024 15:18:49 +0200

cryptsetup (2:2.7.1-1) unstable; urgency=medium

  * New bugfix upstream release.

  [ Guilhem Moulin ]
  * d/functions: get_mnt_devno(): Speed up execution time on large
    /proc/mounts.
  * d/t/cryptroot-*: Fix DEP-8 tests when the kernel .deb installs modules in
    /usr/lib/modules not /lib/modules, such as
    linux-image-6.6.15-686-pae_6.6.15-2_i386.deb.
  * d/cryptsetup.lintian-overrides: Remove unused overrides.

  [ Helmut Grohne ]
  * /lib/cryptsetup/askpass: Coordinated move to /usr for DEP17
    (Closes: #1060270)

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 09 Mar 2024 23:05:42 +0100

cryptsetup (2:2.7.0-1ubuntu6) oracular; urgency=medium

  [ Adam Vodopjan ]
  * Fix cryptroot-unlock behavior on narrow terminals (LP: #1968636)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 11 Jun 2024 13:19:25 -0600

cryptsetup (2:2.7.0-1ubuntu5) oracular; urgency=medium

  * initramfs hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 May 2024 09:48:09 +0200

=== debian/control ===
Source: cryptsetup
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
Uploaders: Jonas Meurer <jonas@freesources.org>,
           Guilhem Moulin <guilhem@debian.org>
Rules-Requires-Root: no
Build-Depends: asciidoctor <!nodoc>,
               autoconf,
               automake (>= 1:1.12),
               autopoint,
               debhelper-compat (= 13),
               dh-strip-nondeterminism,
               docbook-xml <!nodoc>,
               docbook-xsl <!nodoc>,
               gettext,
               jq <!nocheck>,
               libblkid-dev,
               libdevmapper-dev,
               libjson-c-dev,
               libpopt-dev,
               libselinux1-dev,
               libsepol-dev,
               libssh-dev,
               libssl-dev (>> 3.2~),
               libtool,
               pkgconf,
               po-debconf,
               procps <!nocheck>,
               uuid-dev,
               xsltproc <!nodoc>,
               xxd <!nocheck>
Standards-Version: 4.7.0
Homepage: https://gitlab.com/cryptsetup/cryptsetup
Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest

Package: cryptsetup
Architecture: linux-any
Multi-Arch: foreign
Depends: cryptsetup-bin (>= 2:2.7.2-1),
         dmsetup,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: cryptsetup-nuke-password (<< 5~)
Recommends: cryptsetup-initramfs
Suggests: dosfstools, keyutils, liblocale-gettext-perl
Description: disk encryption support - startup scripts
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 Cryptsetup is backwards compatible with the on-disk format of cryptoloop,
 but also supports more secure formats. This package includes support for
 automatically configuring encrypted devices at boot time via the config
 file /etc/crypttab. Additional features are cryptoroot support through
 initramfs-tools and several supported ways to read a passphrase or key.
 .
 This package provides the cryptdisks_start and _stop wrappers, as well as
 luksformat.

Package: cryptsetup-bin
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk encryption support - command line tools
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides the cryptsetup, integritysetup and veritysetup
 utilities.

Package: cryptsetup-ssh
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cryptsetup-bin (>= ${source:Version})
Breaks: cryptsetup (<< 2:2.5.0~rc1-3), cryptsetup-bin (<< 2:2.5.0~rc1-3)
Replaces: cryptsetup (<< 2:2.5.0~rc1-3), cryptsetup-bin (<< 2:2.5.0~rc1-3)
Description: disk encryption support - experimental SSH token handler
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides the cryptsetup-ssh(8) utility and an SSH token plugin
 which can be used to unlock LUKS2 devices using a remote keyfile hosted on a
 system accessible through SSH.  This is currently an *experimental* feature
 and mostly serves as a demonstration of the plugin interface API.

Package: cryptsetup-initramfs
Architecture: all
Depends: busybox-initramfs,
         cryptsetup (>= ${source:Version}),
         initramfs-tools (>= 0.137) | linux-initramfs-tool,
         ${misc:Depends}
Recommends: console-setup, kbd, plymouth
Breaks: cryptsetup (<< 2:2.0.3-1), libcryptsetup12 (<< 2:2.7.2-1)
Replaces: cryptsetup (<< 2:2.0.3-1)
Conflicts: lvm2 (<< 2.03.15-1)
Description: disk encryption support - initramfs integration
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides initramfs integration for cryptsetup.

Package: cryptsetup-suspend
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Multi-Arch: foreign
Depends: cryptsetup-initramfs (>= ${source:Version}),
         initramfs-tools-core,
         kbd,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends}
Description: disk encryption support - suspend mode integration
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides suspend mode integration for cryptsetup. It takes
 care of removing LUKS master key from memory before system suspend.
 .
 Please note that the suspend mode integration is limited to LUKS devices
 and requires systemd.  Moreover, this is an early implementation and may not
 be as mature as the other cryptsetup-* packages yet.

Package: libcryptsetup12
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk encryption support - shared library
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides the libcryptsetup shared library.

Package: libcryptsetup-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
# XXX [#1025065] ideal we would have "Depends: libcryptsetup12
# (= ${binary:Version}), ${misc:Depends}, ${pkgconf:Depends}"
Depends: libblkid-dev,
         libcryptsetup12 (= ${binary:Version}),
         libdevmapper-dev,
         libjson-c-dev,
         libssl-dev,
         uuid-dev,
         ${misc:Depends}
Description: disk encryption support - development files
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides the libcryptsetup development files.

Package: cryptsetup-udeb
Section: debian-installer
Package-Type: udeb
Build-Profiles: <!noudeb>
Architecture: linux-any
Depends: dmsetup-udeb, ${misc:Depends}, ${shlibs:Depends}
Description: disk encryption support - commandline tools (udeb)
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This udeb package provides cryptsetup for the Debian Installer.

Package: libcryptsetup12-udeb
Section: debian-installer
Package-Type: udeb
Build-Profiles: <!noudeb>
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk encryption support - shared library (udeb)
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This udeb package provides libcryptsetup for the Debian Installer.

## cryptsetup 2.7.4

=== debian/changelog ===
cryptsetup (2:2.7.4-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New bugfix upstream release.
  * d/functions: Silently ignore crypttab(5) option x-initrd.attach.
    (Closes: #1072058)
  * DEP-8: Mark cryptroot-* as flaky.  To be re-evaluated if/when the
    tests only run on environment where KVM is available. (Closes: #1073052)
  * d/t/cryptroot-lvm.d/preinst: Add x-initrd.attach crypttab(5) option.
  * initramfs: local-bottom: Call `dmsetup remove --deferred` on the root FS
    holders.  Thanks to Luca Boccassi for the suggestion.
  * d/t/cryptroot-*: Always install passwd(1) inside the guest.

  [ Benjamin Drung ]
  * initramfs hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 04 Aug 2024 22:59:09 +0200

=== debian/tests/control ===
# Run the installed binaries and libraries through the full upstream test suite.
Features: test-name=upstream-testsuite
Test-Command: make -C ./tests -f Makefile.localtest -j tests CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y
Depends: cryptsetup-bin,
# to compile tests/*.c
  gcc,
  libcryptsetup-dev,
  libdevmapper-dev,
#
# for hexdump(1)
  bsdextrautils,
# for dmsetup(8)
  dmsetup,
# for expect(1)
  expect,
# for jq(1)
  jq,
# for keyctl(1)
  keyutils,
# for modprobe(8) and rmmod(8)
  kmod,
# for free(1)
  procps,
# for uuencode(1)
  sharutils,
# for xxd(1)
  xxd
#
# Use machine-level isolation since some extra tests want to interact
# with the kernel, load modules, and create/remove loop devices
Restrictions: allow-stderr, needs-root, isolation-machine, rw-build-tree

# Run ./tests/ssh-test-plugin on its own since it has its own dependency set.
Features: test-name=ssh-test-plugin
Test-Command: cd ./tests && CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y RUN_SSH_PLUGIN_TEST=y ./ssh-test-plugin
Depends: cryptsetup-bin,
         cryptsetup-ssh,
         netcat-openbsd,
         openssh-client,
         openssh-server,
         openssl,
         sshpass
Restrictions: needs-root, isolation-machine


Tests: cryptdisks, cryptdisks.init
Depends: cryptsetup, xxd
Restrictions: allow-stderr, needs-root, isolation-machine

# This test doesn't replace the cryptroot-* tests below which mock a
# complete system incl. unlocking at initramfs stage, but it's also
# significantly faster so we use it for crude checks of our initramfs
# hook and the initramfs image itself.
Tests: initramfs-hook
Depends: cryptsetup-initramfs, e2fsprogs, zstd
Restrictions: allow-stderr, needs-root, isolation-machine

Tests: cryptroot-lvm, cryptroot-legacy
# Only dependencies required to set the VM here are listed here;
# cryptsetup is not listed since we only install it in the VM.
Depends: cryptsetup-bin,
         dosfstools [arm64 armhf],
         fdisk,
         genext2fs,
         initramfs-tools-core,
         libjson-perl,
         lvm2,
         qemu-efi-aarch64 [arm64],
         qemu-efi-arm [armhf],
         qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,
         udev
# We only need root to create /dev/kvm, really.  And while it works
# locally and on debci, it doesn't work on salsa CI..
Restrictions: allow-stderr, needs-root, flaky
Architecture: amd64 i386

Tests: cryptroot-md
Depends: cryptsetup-bin,
         dosfstools [arm64 armhf],
         fdisk,
         genext2fs,
         initramfs-tools-core,
         libjson-perl,
         lvm2,
         mdadm,
         qemu-efi-aarch64 [arm64],
         qemu-efi-arm [armhf],
         qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,
         udev
Restrictions: allow-stderr, needs-root, flaky
Architecture: amd64 i386

Tests: cryptroot-nested
Depends: btrfs-progs,
         cryptsetup-bin,
         dosfstools [arm64 armhf],
         fdisk,
         genext2fs,

## cryptsetup 2.7.5

=== meson_options.txt ===
option('argon-implementation', type : 'combo', choices : ['none', 'internal', 'libargon2'], description : 'which implementation of Argon2 PBKDF shall be used (cryptsetup internal, external libargon2 (PHC) or disable Argon2 support)', value : 'internal')
option('asciidoc', type : 'feature', description : 'generate man pages from asciidoc', value : 'enabled')
option('blkid', type : 'boolean', description : 'use of blkid for device signature detection and wiping', value : true)
option('crypto-backend', type : 'combo', choices : ['gcrypt', 'openssl', 'nss', 'kernel', 'nettle'], description : 'crypto backend', value : 'openssl')
option('cryptsetup', type : 'boolean', description : 'cryptsetup support', value : true)
option('default-integrity-keyfile-size-maxkb', type : 'integer', description : 'maximum integritysetup keyfile size (in KiB)', value : 4)
option('default-keyfile-size-maxkb', type : 'integer', description : 'maximum keyfile size (in KiB)', value : 8192)
option('default-loopaes-cipher', type : 'string', description : 'cipher for loop-AES mode', value : 'aes')
option('default-loopaes-keybits', type : 'integer', description : 'key length in bits for loop-AES mode', value : 256)
option('default-luks1-cipher', type : 'string', description : 'cipher for LUKS1', value : 'aes')
option('default-luks1-hash', type : 'string', description : 'hash function for LUKS1 header', value : 'sha256')
option('default-luks1-iter-time', type : 'integer', description : 'PBKDF2 iteration time for LUKS1 (in ms)', value : 2000)
option('default-luks1-keybits', type : 'integer', description : 'key length in bits for LUKS1', value : 256)
option('default-luks1-mode', type : 'string', description : 'cipher mode for LUKS1', value : 'xts-plain64')
option('default-luks2-external-tokens-path', type : 'string', description : 'path to directory with LUKSv2 external token handlers (plugins)', value : 'LIBDIR/cryptsetup')
option('default-luks2-iter-time', type : 'integer', description : 'Argon2 PBKDF iteration time for LUKS2 (in ms)', value : 2000)
option('default-luks2-keyslot-cipher', type : 'string', description : 'fallback cipher for LUKS2 keyslot (if data encryption is incompatible)', value : 'aes-xts-plain64')
option('default-luks2-keyslot-keybits', type : 'integer', description : 'fallback key size for LUKS2 keyslot (if data encryption is incompatible)', value : 512)
option('default-luks2-lock-dir-perms', type : 'integer', description : 'default luks2 locking directory permissions', value : 0o700)
option('default-luks2-lock-path', type : 'string', description : 'path to directory for LUKSv2 locks', value : '/run/cryptsetup')
option('default-luks2-memory-kb', type : 'integer', description : 'Argon2 PBKDF memory cost for LUKS2 (in kB)', value : 1048576)
option('default-luks2-parallel-threads', type : 'integer', description : 'Argon2 PBKDF max parallel cost for LUKS2 (if CPUs available)', value : 4)
option('default-luks2-pbkdf', type : 'string', description : 'Default PBKDF algorithm (pbkdf2 or argon2i/argon2id) for LUKS2', value : 'argon2id')
option('default-luks-format', type : 'combo', choices : ['LUKS1', 'LUKS2'], description : 'default LUKS format version', value : 'LUKS2')
option('default-passphrase-size-max', type : 'integer', description : 'maximum passphrase size (in characters)', value : 512)
option('default-plain-cipher', type : 'string', description : 'cipher for plain mode', value : 'aes')
option('default-plain-hash', type : 'string', description : 'cipher for plain mode', value : 'sha256')
option('default-plain-keybits', type : 'integer', description : 'key length in bits for plain mode', value : 256)
option('default-plain-mode', type : 'string', description : 'cipher mode for plain mode', value : 'xts-plain64')
option('default-verity-data-block', type : 'integer', description : 'data block size for verity mode', value : 4096)
option('default-verity-fec-roots', type : 'integer', description : 'parity bytes for verity FEC', value : 2)
option('default-verity-hash-block', type : 'integer', description : 'hash block size for verity mode', value : 4096)
option('default-verity-hash', type : 'string', description : 'hash function for verity mode', value : 'sha256')
option('default-verity-salt-size', type : 'integer', description : 'salt size for verity mode', value : 32)
option('dev-random', type : 'boolean', description : 'use /dev/random by default for key generation (use /dev/urandom when set to false)', value : false)
option('enable-static', type : 'boolean', description : 'build static libraries', value : false)
option('external-tokens', type : 'boolean', description : 'external LUKS2 tokens', value : true)
option('fips', type : 'boolean', description : 'enable FIPS mode restrictions', value : false)
option('fuzzing-engine', type : 'string', description : 'specify LDFLAGS for linking with fuzzing engine (in OSS-Fuzz, LIB_FUZZING_ENGINE variable should be passed via this argument)')
option('fuzz-targets', type : 'boolean', description : 'enable building fuzz targets', value : false)
option('gcrypt-pbkdf2', type : 'feature', description : 'enable internal gcrypt PBKDF2', value : 'auto')
option('gcrypt-argon2', type : 'feature', description : 'enable internal gcrypt Argon2', value : 'auto')
option('hw-opal', type : 'boolean', description : 'support LUKS2 extension for SED OPAL HW encryption', value : true)
option('integritysetup', type : 'boolean', description : 'integritysetup Support', value : true)
option('internal-sse-argon2', type : 'boolean', description : 'use internal SSE implementation of Argon2 PBKDF', value : false)
option('kernel_crypto', type : 'boolean', description : 'kernel userspace crypto (no benchmark and tcrypt)', value : true)
option('keyring', type : 'boolean', description : 'kernel keyring support and builtin kernel keyring token', value : true)
option('luks2-reencryption', type : 'boolean', description : 'LUKS2 online reencryption extension', value : true)
option('luks_adjust_xts_keysize', type : 'boolean', description : 'XTS mode requires two keys, double default LUKS keysize if needed', value : true)
option('nls', type : 'boolean', description : 'use Native Language Support', value : true)
option('passwdqc', type : 'string', description : 'enable password quality checking using passwdqc library (optionally with CONFIG_PATH)', value : 'false')
option('pwquality', type : 'boolean', description : 'password quality checking using pwquality library', value : false)
option('ssh-token', type : 'boolean', description : 'LUKS2 ssh-token', value : true)
option('static-cryptsetup', type : 'boolean', description : 'enable build of static version of tools', value : false)
option('systemd-tokens-test', type : 'boolean', description : 'compile systemd tokens and test using them from cryptsetup', value : false)
option('tmpfilesdir', type : 'string', description : 'override default path to directory with systemd temporary files')
option('udev', type : 'boolean', description : 'udev support', value : true)
option('veritysetup', type : 'boolean', description : 'veritysetup support', value : true)

=== debian/changelog ===
cryptsetup (2:2.7.5-2) unstable; urgency=medium

  [ Christoph Anton Mitterer ]
  * d/README.Debian: Minor improvements.
  * d/README.Debian: Document when during the initramfs devices are mapped.
  * d/README.Debian: Change initrd to initramfs.

  [ Stephen Gildea ]
  * initramfs hook: Improve the "Source mismatch" error message when
    /etc/crypttab gives a source device that does not match the current
    source.

  [ Guilhem Moulin ]
  * DEP-8: No longer mark cryptroot-* as flaky and only run them on amd64, see
    https://bugs.debian.org/1073052#50.
  * Fix d/t/initramfs-hook and d/t/initramfs-hook-legacy with initramfs-tools
    ≥0.146. (Closes: #1099818)
  * cryptsetup-suspend-wrapper, DEP-8: Don't hardcode unmkinitramfs destdir.
  * d/t/cryptroot-*: Pass --bitmap=internal to mdadm(8).
  * decrypt_gnupg: Drop obsolete option --secret-keyring. (Closes: #1099760)
  * initramfs hook: Add vmx_crypto module. (Closes: #1087271)
  * d/copyright: Replace FSF's old postal address with an URL.
  * Update Standards-Version to 4.7.2 (no changes necessary).
  * Boot script: Fix prereq() logic between directories. (Closes: #1081552)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation. (Closes: #1101115)

  [ Vladimir Petko ]
  * Fix cryptroot-* autopkgtests on Ubuntu. (Closes: #1031198)

  [ Nicolas Melot ]
  * initramfs: Preserve crypttab order for entries with the 'initramfs' option.
    (Closes: #1055024)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 04 May 2025 21:55:13 +0200

cryptsetup (2:2.7.5-1) unstable; urgency=medium

  * New bugfix upstream release.
  * d/t/cryptroot-*: Always install login(1) inside the guest to fix DEP-8
    tests.
  * d/t/utils/mock.pm: Fix login().
  * initramfs hook: Don't let ripemd160 trigger copying legacy.so into the
    initramfs image.  Since OpenSSL 3.0.7 RIPEMD160 is in both legacy and
    default providers.
  * Adjust build-deps and DEP-8 tests to account for OpenSSL legacy provider
    being shipped in its own package.
  * DEP-8: Fix d/t/initramfs-hook-legacy.
  * crypttab(5): Don't claim that ‘noauto’ is not supported by systemd.
    (Closes: #1071602)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 03 Sep 2024 12:23:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on debhelper verbose mode.
#export DH_VERBOSE=1

# Set some custom build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie
DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk

CONFFLAGS =

# Used e.g. for manpages (to build them in a reprodicible way)
include /usr/share/dpkg/pkg-info.mk
DEB_DATE := $(strip $(shell LC_ALL=C date -u +%F -d@$(SOURCE_DATE_EPOCH)))

%:
	dh $@

ifneq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
CONFFLAGS += --disable-asciidoc
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS) \
		--with-tmpfilesdir=/usr/lib/tmpfiles.d \
		--enable-shared \
		--enable-cryptsetup-reencrypt

execute_after_dh_auto_build:
	# build askpass and passdev keyscripts
	$(CC) -o debian/askpass debian/askpass.c -Wall -Werror $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
	$(CC) -o debian/scripts/passdev debian/scripts/passdev.c -Wall -Werror $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic

	# build suspend binary
	$(CC) -o debian/scripts/suspend/cryptsetup-suspend debian/scripts/suspend/cryptsetup-suspend.c \
		 -Wall -Werror $(CFLAGS) $(CPPFLAGS) -I$(CURDIR)/lib $(LDFLAGS) -L$(CURDIR)/.libs -lcryptsetup -pedantic

ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	# generate manpages
	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
		debian/doc/variables.xml.in >debian/doc/variables.xml
	xsltproc --nonet --xinclude -o debian/doc/ \
		/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
		debian/doc/manpages.xml
	pod2man --section=8 --center="Administrative commands" \
		--release="$(DEB_VERSION)" debian/scripts/luksformat \
		debian/doc/luksformat.8
endif

	# generate gettext po files (for luksformat)
	$(MAKE) -C debian/scripts/po all luksformat.pot

execute_before_dh_auto_test:
	# tests/fake_token_path.so is built without global $(CFLAGS)
	@echo "blhc: ignore-line-regexp: gcc\\s.*\\s\\.\\./tests/[0-9A-Za-z_-]+\\.c\\s.*"

execute_after_dh_auto_install:
	# install gettext po files (for luksformat)
	$(MAKE) -C debian/scripts/po DESTDIR=$(CURDIR)/debian/cryptsetup-bin install

execute_after_dh_install:
	# install apport files when building on Ubuntu
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
	mkdir -p $(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks
	install -m 0644 debian/cryptsetup.apport \
		$(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks/cryptsetup.py
endif

override_dh_installinit:
	dh_installinit -pcryptsetup --no-start --name=cryptdisks
	dh_installinit -pcryptsetup --no-start --name=cryptdisks-early

execute_after_dh_auto_clean:
	$(MAKE) -C debian/scripts/po update clean
	if [ -f $(CURDIR)/debian/cryptsetup-initramfs.preinst.in ]; then \
		mv -fT $(CURDIR)/debian/cryptsetup-initramfs.preinst.in $(CURDIR)/debian/cryptsetup-initramfs.preinst; \
	fi

override_dh_bugfiles:
	dh_bugfiles -A

execute_after_dh_fixperms-arch:
	chmod 0755 debian/cryptsetup/usr/lib/cryptsetup/checks/*
	chmod 0755 debian/cryptsetup/usr/lib/cryptsetup/scripts/decrypt_*
	chmod 0755 debian/cryptsetup-suspend/usr/lib/cryptsetup/scripts/suspend/cryptsetup-suspend-wrapper
	chmod 0755 debian/cryptsetup-suspend/usr/lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
	chmod 0755 debian/cryptsetup-udeb/usr/lib/cryptsetup/checks/*
	chmod 0755 debian/cryptsetup-udeb/usr/lib/cryptsetup/scripts/decrypt_*
endif

execute_after_dh_fixperms-indep:
	chmod 0755 debian/cryptsetup-initramfs/usr/share/cryptsetup/initramfs/bin/*
	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/hooks/*
	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/scripts/*/*

=== debian/tests/control ===
--- 
+++ 
@@ -19,6 +19,8 @@
   keyutils,
 # for modprobe(8) and rmmod(8)
   kmod,
+# for legacy hash algorithms such as whirlpool, see OSSL_PROVIDER-legacy(7ssl)
+  openssl-provider-legacy,
 # for free(1)
   procps,
 # for uuencode(1)
@@ -55,6 +57,10 @@
 Depends: cryptsetup-initramfs, e2fsprogs, zstd
 Restrictions: allow-stderr, needs-root, isolation-machine
 
+Tests: initramfs-hook-legacy
+Depends: cryptsetup-initramfs, e2fsprogs, openssl-provider-legacy, zstd
+Restrictions: allow-stderr, needs-root, isolation-machine
+
 Tests: cryptroot-lvm, cryptroot-legacy
 # Only dependencies required to set the VM here are listed here;
 # cryptsetup is not listed since we only install it in the VM.
@@ -71,8 +77,8 @@
          udev
 # We only need root to create /dev/kvm, really.  And while it works
 # locally and on debci, it doesn't work on salsa CI..
-Restrictions: allow-stderr, needs-root, flaky
-Architecture: amd64 i386
+Restrictions: allow-stderr, needs-root
+Architecture: amd64
 
 Tests: cryptroot-md
 Depends: cryptsetup-bin,
@@ -86,13 +92,3 @@
          qemu-efi-aarch64 [arm64],
          qemu-efi-arm [armhf],
          qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,
-         udev
-Restrictions: allow-stderr, needs-root, flaky
-Architecture: amd64 i386
-
-Tests: cryptroot-nested
-Depends: btrfs-progs,
-         cryptsetup-bin,
-         dosfstools [arm64 armhf],
-         fdisk,
-         genext2fs,

## cryptsetup 2.8.0

=== debian/changelog ===
cryptsetup (2:2.8.0-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 15:13:13 +0000

cryptsetup (2:2.8.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental. (LP: #2116736) Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)
    - Fix autopkgtests

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 25 Jul 2025 14:17:58 +0100

cryptsetup (2:2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 24 Jun 2025 11:40:36 +0200

cryptsetup (2:2.8.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Drop d/patches/* applied upstream.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 16 Jun 2025 15:44:19 +0200

cryptsetup (2:2.8.0~rc0-1) experimental; urgency=low

  * New upstream release candidate 2.8.0, with support for inline mode (use HW
    sectors with additional hardware metadata space).
  * DEP-8: Add Depends: e2fsprogs.
  * d/libcryptsetup12.symbols: Add new symbols.
  * Adjust d/copyright.
  * DEP-8: Build libcrypto_backend.la and crypto-check before running the
    upstream test suite.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 12 Jun 2025 19:00:45 +0200

cryptsetup (2:2.7.5-2ubuntu2) questing; urgency=medium

  * Fix autopkgtest

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 17 Jul 2025 14:02:28 +0100

cryptsetup (2:2.7.5-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 11 Jul 2025 14:25:05 +0100

cryptsetup (2:2.7.5-1ubuntu2) plucky; urgency=medium

  * Fix mismerge of autopkgtest changes

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 18 Feb 2025 15:09:18 +0000

cryptsetup (2:2.7.5-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow aes+ripemd160 test to use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 14 Feb 2025 10:51:10 +0000

=== debian/control ===
--- 
+++ 
@@ -25,13 +25,14 @@
                libssh-dev,
                libssl-dev (>> 3.2~),
                libtool,
+               openssl-provider-legacy <!nocheck>,
                pkgconf,
                po-debconf,
                procps <!nocheck>,
                uuid-dev,
                xsltproc <!nodoc>,
                xxd <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
 Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	dh_auto_configure -- $(CONFFLAGS) \
 		--with-tmpfilesdir=/usr/lib/tmpfiles.d \
 		--enable-shared \
+		--enable-fips \
 		--enable-cryptsetup-reencrypt
 
 execute_after_dh_auto_build:
@@ -84,8 +85,10 @@
 execute_after_dh_fixperms-arch:
 	chmod 0755 debian/cryptsetup/usr/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup/usr/lib/cryptsetup/scripts/decrypt_*
+ifneq ($(DEB_HOST_ARCH),i386)
 	chmod 0755 debian/cryptsetup-suspend/usr/lib/cryptsetup/scripts/suspend/cryptsetup-suspend-wrapper
 	chmod 0755 debian/cryptsetup-suspend/usr/lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
+endif
 ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
 	chmod 0755 debian/cryptsetup-udeb/usr/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup-udeb/usr/lib/cryptsetup/scripts/decrypt_*

=== debian/tests/control ===
--- 
+++ 
@@ -1,12 +1,18 @@
 # Run the installed binaries and libraries through the full upstream test suite.
 Features: test-name=upstream-testsuite
-Test-Command: make -C ./tests -f Makefile.localtest -j tests CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y
+Test-Command:
+ dh_update_autotools_config &&
+ dh_autoreconf &&
+ make -f debian/rules override_dh_auto_configure DEB_BUILD_OPTIONS="nocheck nodoc" DEB_BUILD_PROFILES="noudeb" &&
+ make libcrypto_backend.la &&
+ cd ./tests &&
+ gcc -I ../lib -c ./crypto-check.c &&
+ gcc -o ./crypto-check ./crypto-check.o ../.libs/libcrypto_backend.a -lcrypto &&
+ make -f Makefile.localtest -j tests CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y
 Depends: cryptsetup-bin,
 # to compile tests/*.c
-  gcc,
   libcryptsetup-dev,
-  libdevmapper-dev,
-#
+  @builddeps@,
 # for hexdump(1)
   bsdextrautils,
 # for dmsetup(8)
@@ -44,8 +50,9 @@
          sshpass
 Restrictions: needs-root, isolation-machine
 
-
-Tests: cryptdisks, cryptdisks.init
+# cryptdisks test is disabled - it fails to open /dev/tty in CI
+#Tests: cryptdisks, cryptdisks.init
+Tests: cryptdisks.init
 Depends: cryptsetup, xxd
 Restrictions: allow-stderr, needs-root, isolation-machine
 
@@ -66,6 +73,7 @@
 # cryptsetup is not listed since we only install it in the VM.
 Depends: cryptsetup-bin,
          dosfstools [arm64 armhf],
+         e2fsprogs,
          fdisk,
          genext2fs,
          initramfs-tools-core,
@@ -77,18 +85,3 @@
          udev
 # We only need root to create /dev/kvm, really.  And while it works
 # locally and on debci, it doesn't work on salsa CI..
-Restrictions: allow-stderr, needs-root
-Architecture: amd64
-
-Tests: cryptroot-md
-Depends: cryptsetup-bin,
-         dosfstools [arm64 armhf],
-         fdisk,
-         genext2fs,
-         initramfs-tools-core,
-         libjson-perl,
-         lvm2,
-         mdadm,
-         qemu-efi-aarch64 [arm64],
-         qemu-efi-arm [armhf],
-         qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,

=== debian/watch ===
version=4
options="mode=git,pgpmode=gittag, \
         uversionmangle=s/-(alpha|beta|rc)(\d*)$/~$1$2/, \
         compression=gzip" \
  https://gitlab.com/cryptsetup/cryptsetup.git \
  refs/tags/v?@ANY_VERSION@

## cryptsetup 2.8.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 option('argon-implementation', type : 'combo', choices : ['none', 'internal', 'libargon2'], description : 'which implementation of Argon2 PBKDF shall be used (cryptsetup internal, external libargon2 (PHC) or disable Argon2 support)', value : 'internal')
 option('asciidoc', type : 'feature', description : 'generate man pages from asciidoc', value : 'enabled')
 option('blkid', type : 'boolean', description : 'use of blkid for device signature detection and wiping', value : true)
-option('crypto-backend', type : 'combo', choices : ['gcrypt', 'openssl', 'nss', 'kernel', 'nettle'], description : 'crypto backend', value : 'openssl')
+option('crypto-backend', type : 'combo', choices : ['gcrypt', 'openssl', 'nss', 'kernel', 'nettle', 'mbedtls'], description : 'crypto backend', value : 'openssl')
 option('cryptsetup', type : 'boolean', description : 'cryptsetup support', value : true)
 option('default-integrity-keyfile-size-maxkb', type : 'integer', description : 'maximum integritysetup keyfile size (in KiB)', value : 4)
 option('default-keyfile-size-maxkb', type : 'integer', description : 'maximum keyfile size (in KiB)', value : 8192)
@@ -12,7 +12,6 @@
 option('default-luks1-iter-time', type : 'integer', description : 'PBKDF2 iteration time for LUKS1 (in ms)', value : 2000)
 option('default-luks1-keybits', type : 'integer', description : 'key length in bits for LUKS1', value : 256)
 option('default-luks1-mode', type : 'string', description : 'cipher mode for LUKS1', value : 'xts-plain64')
-option('default-luks2-external-tokens-path', type : 'string', description : 'path to directory with LUKSv2 external token handlers (plugins)', value : 'LIBDIR/cryptsetup')
 option('default-luks2-iter-time', type : 'integer', description : 'Argon2 PBKDF iteration time for LUKS2 (in ms)', value : 2000)
 option('default-luks2-keyslot-cipher', type : 'string', description : 'fallback cipher for LUKS2 keyslot (if data encryption is incompatible)', value : 'aes-xts-plain64')
 option('default-luks2-keyslot-keybits', type : 'integer', description : 'fallback key size for LUKS2 keyslot (if data encryption is incompatible)', value : 512)
@@ -45,6 +44,7 @@
 option('internal-sse-argon2', type : 'boolean', description : 'use internal SSE implementation of Argon2 PBKDF', value : false)
 option('kernel_crypto', type : 'boolean', description : 'kernel userspace crypto (no benchmark and tcrypt)', value : true)
 option('keyring', type : 'boolean', description : 'kernel keyring support and builtin kernel keyring token', value : true)
+option('luks2-external-tokens-path', type : 'string', description : 'path to directory with LUKSv2 external token handlers (plugins)')
 option('luks2-reencryption', type : 'boolean', description : 'LUKS2 online reencryption extension', value : true)
 option('luks_adjust_xts_keysize', type : 'boolean', description : 'XTS mode requires two keys, double default LUKS keysize if needed', value : true)
 option('nls', type : 'boolean', description : 'use Native Language Support', value : true)

=== misc/dict_search/Makefile ===
TARGET=crypt_dict
CFLAGS=-O2 -g -Wall -D_GNU_SOURCE
LDLIBS=-lcryptsetup
CC=gcc

SOURCES=$(wildcard *.c)
OBJECTS=$(SOURCES:.c=.o)

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) -o $@ $^ $(LDLIBS)

clean:
	rm -f *.o *~ core $(TARGET)

.PHONY: clean

=== debian/changelog ===
cryptsetup (2:2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * DEP-8: Don't skip TPM trusted upstream tests.  This adds `Depends:
    swtpm, swtpm-tools, tpm2-tools` to the upstream testsuite autopkgtest.
  * DEP-8: Don't skip upstream's systemd plugin tests.  This adds `Depends:
    systemd-cryptsetup` to the upstream testsuite autopkgtest.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 19 Aug 2025 13:38:37 +0200

cryptsetup (2:2.8.0-3) unstable; urgency=medium

  [ Nuri KÜÇÜKLER ]
  * Add Turkish debconf templates translation.

  [ Luca Boccassi ]
  * DEP-8: Remove 80-systemd-osc-context.sh bash profile drop-in from
    cryptroot-* test images in order to fix compatibility with systemd v258.
    (Closes: #1110818)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 13 Aug 2025 13:38:32 +0200

cryptsetup (2:2.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 09 Aug 2025 22:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
@@ -45,8 +44,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: cryptsetup-nuke-password (<< 5~)
-Recommends: cryptsetup-initramfs
-Suggests: dosfstools, keyutils, liblocale-gettext-perl
+Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -95,11 +93,11 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox-initramfs,
+Depends: busybox | busybox-static,
          cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.137) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd, plymouth
+Recommends: console-setup, kbd
 Breaks: cryptsetup (<< 2:2.0.3-1), libcryptsetup12 (<< 2:2.7.2-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Conflicts: lvm2 (<< 2.03.15-1)
@@ -112,7 +110,7 @@
  This package provides initramfs integration for cryptsetup.
 
 Package: cryptsetup-suspend
-Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
+Architecture: linux-any
 Multi-Arch: foreign
 Depends: cryptsetup-initramfs (>= ${source:Version}),
          initramfs-tools-core,

=== debian/tests/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  gcc -I ../lib -c ./crypto-check.c &&
  gcc -o ./crypto-check ./crypto-check.o ../.libs/libcrypto_backend.a -lcrypto &&
  make -f Makefile.localtest -j tests CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y
+    RUN_KEYRING_TRUSTED_TEST=y
+    RUN_SYSTEMD_PLUGIN_TEST=y
 Depends: cryptsetup-bin,
 # to compile tests/*.c
   libcryptsetup-dev,
@@ -31,6 +33,12 @@
   procps,
 # for uuencode(1)
   sharutils,
+# for swtpm(8) and swtpm_ioctl(8)
+  swtpm,
+  swtpm-tools,
+  tpm2-tools,
+# for systemd-cryptenroll(1)
+  systemd-cryptsetup,
 # for xxd(1)
   xxd
 #
@@ -50,9 +58,8 @@
          sshpass
 Restrictions: needs-root, isolation-machine
 
-# cryptdisks test is disabled - it fails to open /dev/tty in CI
-#Tests: cryptdisks, cryptdisks.init
-Tests: cryptdisks.init
+
+Tests: cryptdisks, cryptdisks.init
 Depends: cryptsetup, xxd
 Restrictions: allow-stderr, needs-root, isolation-machine
 
@@ -83,5 +90,3 @@
          qemu-efi-arm [armhf],
          qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,
          udev
-# We only need root to create /dev/kvm, really.  And while it works
-# locally and on debci, it doesn't work on salsa CI..

## cryptsetup 2.8.2

=== debian/changelog ===
cryptsetup (2:2.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * d/t/cryptdisks: Add calls to `udevadm settle`.
  * d/control: Remove `Rules-Requires-Root: no`.
  * d/watch: Port to Version 5.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Dec 2025 22:04:25 +0100

cryptsetup (2:2.8.1-2) unstable; urgency=medium

  * Exclude `reencryption-compat-test` from Makefile.localtest.
    (Closes: #1122539)

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 11 Dec 2025 23:29:35 +0100
